<?php
session_start();
//conexion a la BD
include("includes/conect.php");
include("includes/timezone.php");

$data_area = $_POST['data_area'];
$data_fecha= $_POST['data_fecha'];
// echo $_SESSION['k_ocupacion'];
// definiendo acceso
$acces_area_string = 0;

// echo $_SESSION['k_ocupacion'];

if(!(isset($_SESSION["k_user_apto"]))){
    $apto_from = $_POST['data_apto'];
}
else{
    $apto_from = $_SESSION['k_user_apto'];
}
    


switch ($_SESSION['k_ocupacion']) {
// echo "Huésped, ";

case '1':


$data = array();

	$result_find_area_one = mysqli_query($conexion, 'SELECT id, id_rel_area, nombre FROM area where id = \''.$data_area.'\'');
	$row_find_area_one = mysqli_fetch_array($result_find_area_one);
	$data_rel_area = $row_find_area_one['id_rel_area'];


switch ($_POST['data_modalidad_reserva_send']) {
		
		// verificación de disponibilidad si existe un apto ocupado 
		case '1':

			$estado = 0; 
			

			$super_counter = 0;

			$result_find_area = mysqli_query($conexion, 'SELECT id, id_rel_area, nombre FROM area where id_rel_area = \''.$data_rel_area.'\'');
				while($row_find_area = mysqli_fetch_array($result_find_area)){	
					
					$row_find_area['id'];					
					$row_find_area['id_rel_area'];					
					$row_find_area['nombre'];

			$result_findx   =   mysqli_query($conexion, 'SELECT * FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\'  AND `estado` = '.$estado.' and apto_from  = \''.$apto_from.'\'');
				while($row_findx = mysqli_fetch_array($result_findx)){

					if ($row_findx['idarea'] == $row_find_area['id']) {
						$super_counter = $super_counter + 1;
					}

				}
			}
			
			// echo $super_counter;

			if($super_counter >= 1){

				$disabled = "disz";
						
				$sub_array = array();	 				
				$sub_array[] = array("descripcion" => "Sin Turnos disponibles, ");
				$sub_array[] = array("id" => "-----------");	
				$sub_array[] = array("action" => 'disabled'); 
				$sub_array[] = array("out_time" => "");
				$sub_array[] = array("reservado" => ""); 
				$sub_array[] = array("disponible" => "Su apto hizo reservación durante la fecha consultada.");
				$data[] = $sub_array; 

				$response = array("array_turnos" => array_filter($data));
				echo json_encode($response);
				exit;

			}else{
			
			$result_turno = mysqli_query($conexion,"SELECT id_tabla_turno, id_area, num_turno, hora_ini_turno, hora_fin_turno, descripcion, ocupacion from turno WHERE id_area = '$data_area' and activo = 1 and ocupacion IN(0,1) ");
			  while($row_turno = mysqli_fetch_array($result_turno))
			  {

			  	$area_valid = $row_turno['id_area'];


			  	$result_cant = mysqli_query($conexion, 'SELECT id as id_del_area, nombre, capacidad, observacion FROM area where id = '.$area_valid.' order by nombre asc');
				$row_cant = mysqli_fetch_array($result_cant);

				$nombre_area = $row_cant['nombre'];
				$capacidad = $row_cant['capacidad']; 


			  	$estado = 0; 

			    $result_available   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\' AND `idarea` = '.$area_valid.' AND `estado` = '.$estado.' and jornada  = '.$row_turno['id_tabla_turno'].'');

				$row_available = mysqli_fetch_array($result_available);


				$cant = $row_available['cant'];
				$disponible = $capacidad - $cant;

				if ($cant >= 1) {
					$disabled = 'disabled';
					$reservado = "tr";
					$out_time = "";
				}else{
					  

					 if ($fecha_actual == $data_fecha) {

					    	$hora_just_now = new DateTime($hora_actual);
							$hora_compare_turno = new DateTime($row_turno['hora_ini_turno']);

							if ($hora_just_now > $hora_compare_turno) {
								// echo "hora Inicio mayor";
								$disabled = "dis";
								$reservado = "";
								$out_time = "fh";
							}elseif ($hora_just_now == $hora_compare_turno) {
								// echo "hora iguales";

								if($cant >= 1){
									$disabled = "dis";
									$out_time = "";
									$reservado = "tr";
								}else{
									$disabled = "";
									$out_time = "";
									$reservado = "";
								}
							}elseif ($hora_just_now < $hora_compare_turno) {
								// echo "Hora inicio menor";
								if($cant >= 1){
									$disabled = "dis";
									$out_time = "";
									$reservado = "tr";
								}else{
									$disabled = "";
									$out_time = "";
									$reservado = "DISPONIBLE";
								}
							}
					  }else{
						$disabled = "";
						$out_time = "";
						$reservado = "DISPONIBLE";
					  }


				}



				/* ========  ****** Bloqueo de Áreas ****** =============*/
				/*modalidad de un apartamento por dia reservado*/
				if ($_POST['data_consecucion_reserva_send'] == 1) {
				  

					$estate = 0; 
					$apto_from_book = $_POST['data_apto_from'];
					$result_per_day   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant_per_day FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\' AND `idarea` = '.$data_area.' AND `estado` = '.$estate.' AND `apto_from` =\''.$apto_from_book.'\'');
					$row_per_day = mysqli_fetch_array($result_per_day);
					
				// 	if (!$result = mysqli_query($conexion, 'SELECT COUNT(*) AS cant_per_day FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\' AND `idarea` = '.$data_area.' AND `estado` = '.$estate.' AND `apto_from` =\''.$apto_from_book.'\'' )) {
    //                     exit(mysqli_error($conexion));
    //                 }
					
					$cant_per_day = $row_per_day['cant_per_day'];
					// exit;

					if ($cant_per_day >= 1) {

						$disabled = "disz";
						
						$sub_array = array();	 				
						$sub_array[] = array("descripcion" => "Sin Turnos disponibles, ");
						$sub_array[] = array("id" => "-----------");	
						$sub_array[] = array("action" => 'disabled'); 
						$sub_array[] = array("out_time" => "");
						$sub_array[] = array("reservado" => ""); 
						$sub_array[] = array("disponible" => "Su apto hizo reservación durante la fecha consultada.");
						$data[] = $sub_array; 

						$response = array("array_turnos" => array_filter($data));
						echo json_encode($response);
						exit;	

					}else{
            //             $sub_array = array();
        				// $sub_array[] = array("descripcion" => $row_turno['descripcion']);
        				// $sub_array[] = array("id" => $row_turno['id_tabla_turno']);	
        				// $sub_array[] = array("action" => $disabled); 
        				// $sub_array[] = array("out_time" => $out_time);
        				// $sub_array[] = array("reservado" => $reservado); 
        				// $sub_array[] = array("disponible" => "RESULT.".$cant_per_day);
        				// // $sub_array[] = array("data_modalidad_reserva_send" => $_POST['data_modalidad_reserva_send']);   					
        		  //      $data[] = $sub_array;
					}


					

				}

				/*modalidad de aforo de reserva*/
				elseif($_POST['data_consecucion_reserva_send'] == 2){

					// echo $_POST['data_consecucion_reserva_send'];
					// exit;

				}//fin else if


				$sub_array = array();
				 				
				$sub_array[] = array("descripcion" => $row_turno['descripcion']);
				$sub_array[] = array("id" => $row_turno['id_tabla_turno']);	
				$sub_array[] = array("action" => $disabled); 
				$sub_array[] = array("out_time" => $out_time);
				$sub_array[] = array("reservado" => $reservado); 
				$sub_array[] = array("disponible" => "");
				$sub_array[] = array("test" => ": ". $row_turno['id_tabla_turno']);
				
				
				// $sub_array[] = array("data_modalidad_reserva_send" => $_POST['data_modalidad_reserva_send']);   					
		        $data[] = $sub_array;  

			  }

			}
			break;

		// verificación de disponibilidad de acuerdo a reserva (aforo)
		case '2':

			$result_turno = mysqli_query($conexion,"SELECT id_tabla_turno, id_area, num_turno, hora_ini_turno, hora_fin_turno, descripcion, ocupacion from turno WHERE id_area = '$data_area' and activo = 1 and ocupacion IN(0,1) ");
			  while($row_turno = mysqli_fetch_array($result_turno))
			  {

			  	$area_valid = $row_turno['id_area'];


			  	$result_cant = mysqli_query($conexion, 'SELECT id as id_del_area, nombre, capacidad, observacion FROM area where id = '.$area_valid.' order by nombre asc');
				$row_cant = mysqli_fetch_array($result_cant);

				$nombre_area = $row_cant['nombre'];
				$capacidad = $row_cant['capacidad']; 


			  	$estado = 0; 

			    $result_available   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\' AND `idarea` = '.$area_valid.' AND `estado` = '.$estado.' and jornada  = '.$row_turno['id_tabla_turno'].'');

				$row_available = mysqli_fetch_array($result_available);


				$cant = $row_available['cant'];
				$disponible = $capacidad - $cant;

				if ($cant >= $capacidad) {
					$disabled = 'disabled';
					$reservado = "tr";
					$out_time = "";
				}else{
					  

					 if ($fecha_actual == $data_fecha) {

					    	$hora_just_now = new DateTime($hora_actual);
							$hora_compare_turno = new DateTime($row_turno['hora_ini_turno']);

							if ($hora_just_now > $hora_compare_turno) {
								// echo "hora Inicio mayor";
								$disabled = "dis";
								$reservado = "";
								$out_time = "fh";
							}elseif ($hora_just_now == $hora_compare_turno) {
								// echo "hora iguales";

								if($cant >= $capacidad){
									$disabled = "dis";
									$out_time = "";
									$reservado = "tr";
								}else{
									$disabled = "";
									$out_time = "";
									$reservado = "";
								}
							}elseif ($hora_just_now < $hora_compare_turno) {
								// echo "Hora inicio menor";
								if($cant >= $capacidad){
									$disabled = "dis";
									$out_time = "";
									$reservado = "tr";
								}else{
									$disabled = "";
									$out_time = "";
									$reservado = "DISPONIBLE";
								}
							}
					  }else{
						$disabled = "";
						$out_time = "";
						$reservado = "DISPONIBLE";
					  }


				}

				$sub_array = array();
				 				
				$sub_array[] = array("descripcion" => $row_turno['descripcion']);
				$sub_array[] = array("id" => $row_turno['id_tabla_turno']);	
				$sub_array[] = array("action" => $disabled); 
				$sub_array[] = array("out_time" => $out_time);
				$sub_array[] = array("reservado" => $reservado); 
				$sub_array[] = array("disponible" => " | (".$disponible.")");

				// $sub_array[] = array("data_modalidad_reserva_send" => $_POST['data_modalidad_reserva_send']);   					
		        $data[] = $sub_array;  

			  }
break;

default:
// code...
break;
}





break;
    
  // echo "Huésped Invitado, ";
case '2': 


$data = array();

	$result_find_area_one = mysqli_query($conexion, 'SELECT id, id_rel_area, nombre FROM area where id = \''.$data_area.'\'');
	$row_find_area_one = mysqli_fetch_array($result_find_area_one);
	$data_rel_area = $row_find_area_one['id_rel_area'];


switch ($_POST['data_modalidad_reserva_send']) {
		
		// verificación de disponibilidad si existe un apto ocupado 
		case '1':

			$estado = 0; 

			$super_counter = 0;

			$result_find_area = mysqli_query($conexion, 'SELECT id, id_rel_area, nombre FROM area where id_rel_area = \''.$data_rel_area.'\'');
				while($row_find_area = mysqli_fetch_array($result_find_area)){	
					
					$row_find_area['id'];					
					$row_find_area['id_rel_area'];					
					$row_find_area['nombre'];

			$result_findx   =   mysqli_query($conexion, 'SELECT * FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\'  AND `estado` = '.$estado.' and apto_from  = \''.$apto_from.'\'');
				while($row_findx = mysqli_fetch_array($result_findx)){

					if ($row_findx['idarea'] == $row_find_area['id']) {
						$super_counter = $super_counter + 1;
					}

				}
			}
			
			// echo $super_counter;

			if($super_counter >= 1){

				$disabled = "disz";
						
				$sub_array = array();	 				
				$sub_array[] = array("descripcion" => "Sin Turnos disponibles, ");
				$sub_array[] = array("id" => "-----------");	
				$sub_array[] = array("action" => 'disabled'); 
				$sub_array[] = array("out_time" => "");
				$sub_array[] = array("reservado" => ""); 
				$sub_array[] = array("disponible" => "Su apto hizo reservación durante la fecha consultada.");
				$data[] = $sub_array; 

				$response = array("array_turnos" => array_filter($data));
				echo json_encode($response);
				exit;

			}else{
			
			$result_turno = mysqli_query($conexion,"SELECT id_tabla_turno, id_area, num_turno, hora_ini_turno, hora_fin_turno, descripcion, ocupacion from turno WHERE id_area = '$data_area' and activo = 1 and ocupacion IN(0,1,2) ");
			  while($row_turno = mysqli_fetch_array($result_turno))
			  {

			  	$area_valid = $row_turno['id_area'];


			  	$result_cant = mysqli_query($conexion, 'SELECT id as id_del_area, nombre, capacidad, observacion FROM area where id = '.$area_valid.' order by nombre asc');
				$row_cant = mysqli_fetch_array($result_cant);

				$nombre_area = $row_cant['nombre'];
				$capacidad = $row_cant['capacidad']; 


			  	$estado = 0; 

			    $result_available   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\' AND `idarea` = '.$area_valid.' AND `estado` = '.$estado.' and jornada  = '.$row_turno['id_tabla_turno'].'');

				$row_available = mysqli_fetch_array($result_available);


				$cant = $row_available['cant'];
				$disponible = $capacidad - $cant;

				if ($cant >= 1) {
					$disabled = 'disabled';
					$reservado = "tr";
					$out_time = "";
				}else{
					  

					 if ($fecha_actual == $data_fecha) {

					    	$hora_just_now = new DateTime($hora_actual);
							$hora_compare_turno = new DateTime($row_turno['hora_ini_turno']);

							if ($hora_just_now > $hora_compare_turno) {
								// echo "hora Inicio mayor";
								$disabled = "dis";
								$reservado = "";
								$out_time = "fh";
							}elseif ($hora_just_now == $hora_compare_turno) {
								// echo "hora iguales";

								if($cant >= 1){
									$disabled = "dis";
									$out_time = "";
									$reservado = "tr";
								}else{
									$disabled = "";
									$out_time = "";
									$reservado = "";
								}
							}elseif ($hora_just_now < $hora_compare_turno) {
								// echo "Hora inicio menor";
								if($cant >= 1){
									$disabled = "dis";
									$out_time = "";
									$reservado = "tr";
								}else{
									$disabled = "";
									$out_time = "";
									$reservado = "DISPONIBLE";
								}
							}
					  }else{
						$disabled = "";
						$out_time = "";
						$reservado = "DISPONIBLE";
					  }


				}



				/* ========  ****** Bloqueo de Áreas ****** =============*/
				/*modalidad de un apartamento por dia reservado*/
				if ($_POST['data_consecucion_reserva_send'] == 1) {
				  

					$estate = 0; 
					$apto_from_book = $_POST['data_apto_from'];
					$result_per_day   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant_per_day FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\' AND `idarea` = '.$data_area.' AND `estado` = '.$estate.' AND `apto_from` =\''.$apto_from_book.'\'');
					$row_per_day = mysqli_fetch_array($result_per_day);
					
					$cant_per_day = $row_per_day['cant_per_day'];
					// exit;

					if ($cant_per_day >= 1) {

						$disabled = "disz";
						
						$sub_array = array();	 				
						$sub_array[] = array("descripcion" => "Sin Turnos disponibles, ");
						$sub_array[] = array("id" => "-----------");	
						$sub_array[] = array("action" => 'disabled'); 
						$sub_array[] = array("out_time" => "");
						$sub_array[] = array("reservado" => ""); 
						$sub_array[] = array("disponible" => "Su apto hizo reservación durante la fecha consultada.. $data_area .. $estate". $_POST['data_apto_from']);
						$data[] = $sub_array; 

						$response = array("array_turnos" => array_filter($data));
						echo json_encode($response);
						exit;	

					}else{

					}


					

				}

				/*modalidad de aforo de reserva*/
				elseif($_POST['data_consecucion_reserva_send'] == 2){

					// echo $_POST['data_consecucion_reserva_send'];
					// exit;

				}//fin else if


				$sub_array = array();
				 				
				$sub_array[] = array("descripcion" => $row_turno['descripcion']);
				$sub_array[] = array("id" => $row_turno['id_tabla_turno']);	
				$sub_array[] = array("action" => $disabled); 
				$sub_array[] = array("out_time" => $out_time);
				$sub_array[] = array("reservado" => $reservado); 
				$sub_array[] = array("disponible" => "");
				// $sub_array[] = array("data_modalidad_reserva_send" => $_POST['data_modalidad_reserva_send']);   					
		        $data[] = $sub_array;  

			  }

			}
			break;

		// verificación de disponibilidad de acuerdo a reserva (aforo)
		case '2':

			$result_turno = mysqli_query($conexion,"SELECT id_tabla_turno, id_area, num_turno, hora_ini_turno, hora_fin_turno, descripcion, ocupacion from turno WHERE id_area = '$data_area' and activo = 1 and ocupacion IN(0,1,2) ");
			  while($row_turno = mysqli_fetch_array($result_turno))
			  {

			  	$area_valid = $row_turno['id_area'];


			  	$result_cant = mysqli_query($conexion, 'SELECT id as id_del_area, nombre, capacidad, observacion FROM area where id = '.$area_valid.' order by nombre asc');
				$row_cant = mysqli_fetch_array($result_cant);

				$nombre_area = $row_cant['nombre'];
				$capacidad = $row_cant['capacidad']; 


			  	$estado = 0; 

			    $result_available   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\' AND `idarea` = '.$area_valid.' AND `estado` = '.$estado.' and jornada  = '.$row_turno['id_tabla_turno'].' ');

				$row_available = mysqli_fetch_array($result_available);


				$cant = $row_available['cant'];
				$disponible = $capacidad - $cant;

				if ($cant >= $capacidad) {
					$disabled = 'disabled';
					$reservado = "tr";
					$out_time = "";
				}else{
					  

					 if ($fecha_actual == $data_fecha) {

					    	$hora_just_now = new DateTime($hora_actual);
							$hora_compare_turno = new DateTime($row_turno['hora_ini_turno']);

							if ($hora_just_now > $hora_compare_turno) {
								// echo "hora Inicio mayor";
								$disabled = "dis";
								$reservado = "";
								$out_time = "fh";
							}elseif ($hora_just_now == $hora_compare_turno) {
								// echo "hora iguales";

								if($cant >= $capacidad){
									$disabled = "dis";
									$out_time = "";
									$reservado = "tr";
								}else{
									$disabled = "";
									$out_time = "";
									$reservado = "";
								}
							}elseif ($hora_just_now < $hora_compare_turno) {
								// echo "Hora inicio menor";
								if($cant >= $capacidad){
									$disabled = "dis";
									$out_time = "";
									$reservado = "tr";
								}else{
									$disabled = "";
									$out_time = "";
									$reservado = "DISPONIBLE";
								}
							}
					  }else{
						$disabled = "";
						$out_time = "";
						$reservado = "DISPONIBLE";
					  }


				}

				$sub_array = array();
				 				
				$sub_array[] = array("descripcion" => $row_turno['descripcion']);
				$sub_array[] = array("id" => $row_turno['id_tabla_turno']);	
				$sub_array[] = array("action" => $disabled); 
				$sub_array[] = array("out_time" => $out_time);
				$sub_array[] = array("reservado" => $reservado); 
				$sub_array[] = array("disponible" => " | - (".$disponible.") - ");

				// $sub_array[] = array("data_modalidad_reserva_send" => $_POST['data_modalidad_reserva_send']);   					
		        $data[] = $sub_array;  

			  }
break;

default:
// code...
break;
}

break;

   
// echo "Propietario, ";
case '3':

$data = array();

	$result_find_area_one = mysqli_query($conexion, 'SELECT id, id_rel_area, nombre FROM area where id = \''.$data_area.'\'');
	$row_find_area_one = mysqli_fetch_array($result_find_area_one);
	$data_rel_area = $row_find_area_one['id_rel_area'];


switch ($_POST['data_modalidad_reserva_send']) {
		
		// verificación de disponibilidad si existe un apto ocupado 
		case '1':

			$estado = 0; 
// 			$apto_from = $_SESSION['k_user_apto'];

			$super_counter = 0;

			$result_find_area = mysqli_query($conexion, 'SELECT id, id_rel_area, nombre FROM area where id_rel_area = \''.$data_rel_area.'\'');
				while($row_find_area = mysqli_fetch_array($result_find_area)){	
					
					$row_find_area['id'];					
					$row_find_area['id_rel_area'];					
					$row_find_area['nombre'];

			$result_findx   =   mysqli_query($conexion, 'SELECT * FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\'  AND `estado` = '.$estado.' and apto_from  = \''.$apto_from.'\'');
				while($row_findx = mysqli_fetch_array($result_findx)){

					if ($row_findx['idarea'] == $row_find_area['id']) {
						$super_counter = $super_counter + 1;
					}

				}
			}
			
			// echo $super_counter;

			if($super_counter >= 1){

				$disabled = "disz";
						
				$sub_array = array();	 				
				$sub_array[] = array("descripcion" => "Sin Turnos disponibles, ");
				$sub_array[] = array("id" => "-----------");	
				$sub_array[] = array("action" => 'disabled'); 
				$sub_array[] = array("out_time" => "");
				$sub_array[] = array("reservado" => ""); 
				$sub_array[] = array("disponible" => "Su apto hizo reservación durante la fecha consultada");
				$data[] = $sub_array; 

				$response = array("array_turnos" => array_filter($data));
				echo json_encode($response);
				exit;

			}else{
			
			$result_turno = mysqli_query($conexion,"SELECT id_tabla_turno, id_area, num_turno, hora_ini_turno, hora_fin_turno, descripcion, ocupacion from turno WHERE id_area = '$data_area' and activo = 1 and ocupacion IN(0,1,2) ");
			  while($row_turno = mysqli_fetch_array($result_turno))
			  {

			  	$area_valid = $row_turno['id_area'];


			  	$result_cant = mysqli_query($conexion, 'SELECT id as id_del_area, nombre, capacidad, observacion FROM area where id = '.$area_valid.' order by nombre asc');
				$row_cant = mysqli_fetch_array($result_cant);

				$nombre_area = $row_cant['nombre'];
				$capacidad = $row_cant['capacidad']; 


			  	$estado = 0; 

			    $result_available   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\' AND `idarea` = '.$area_valid.' AND `estado` = '.$estado.' and jornada  = '.$row_turno['id_tabla_turno'].'');

				$row_available = mysqli_fetch_array($result_available);


				$cant = $row_available['cant'];
				$disponible = $capacidad - $cant;

				if ($cant >= 1) {
					$disabled = 'disabled';
					$reservado = "tr";
					$out_time = "";
				}else{
					  

					 if ($fecha_actual == $data_fecha) {

					    	$hora_just_now = new DateTime($hora_actual);
							$hora_compare_turno = new DateTime($row_turno['hora_ini_turno']);

							if ($hora_just_now > $hora_compare_turno) {
								// echo "hora Inicio mayor";
								$disabled = "dis";
								$reservado = "";
								$out_time = "fh";
							}elseif ($hora_just_now == $hora_compare_turno) {
								// echo "hora iguales";

								if($cant >= 1){
									$disabled = "dis";
									$out_time = "";
									$reservado = "tr";
								}else{
									$disabled = "";
									$out_time = "";
									$reservado = "";
								}
							}elseif ($hora_just_now < $hora_compare_turno) {
								// echo "Hora inicio menor";
								if($cant >= 1){
									$disabled = "dis";
									$out_time = "";
									$reservado = "tr";
								}else{
									$disabled = "";
									$out_time = "";
									$reservado = "DISPONIBLE";
								}
							}
					  }else{
						$disabled = "";
						$out_time = "";
						$reservado = "DISPONIBLE";
					  }


				}



				/* ========  ****** Bloqueo de Áreas ****** =============*/
				/*modalidad de un apartamento por dia reservado*/
				if ($_POST['data_consecucion_reserva_send'] == 1) {
				  

					$estate = 0; 
					
					$apto_from_book = $_POST['data_apto_from'];
					$result_per_day   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant_per_day FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\' AND `idarea` = '.$data_area.' AND `estado` = '.$estate.' AND `apto_from` =\''.$apto_from_book.'\'');
					$row_per_day = mysqli_fetch_array($result_per_day);
					
					$cant_per_day = $row_per_day['cant_per_day'];
					// exit;

					if ($cant_per_day >= 1) {

						$disabled = "disz";
						
						$sub_array = array();	 				
						$sub_array[] = array("descripcion" => "Sin Turnos disponibles, ");
						$sub_array[] = array("id" => "-----------");	
						$sub_array[] = array("action" => 'disabled'); 
						$sub_array[] = array("out_time" => "");
						$sub_array[] = array("reservado" => ""); 
						$sub_array[] = array("disponible" => "Su apto hizo reservación durante la fecha consultada");
						$data[] = $sub_array; 

						$response = array("array_turnos" => array_filter($data));
						echo json_encode($response);
						exit;	

					}else{

					}


					

				}

				/*modalidad de aforo de reserva*/
				elseif($_POST['data_consecucion_reserva_send'] == 2){

					// echo $_POST['data_consecucion_reserva_send'];
					// exit;

				}//fin else if


				$sub_array = array();
				 				
				$sub_array[] = array("descripcion" => $row_turno['descripcion']);
				$sub_array[] = array("id" => $row_turno['id_tabla_turno']);	
				$sub_array[] = array("action" => $disabled); 
				$sub_array[] = array("out_time" => $out_time);
				$sub_array[] = array("reservado" => $reservado); 
				$sub_array[] = array("disponible" => "");
				// $sub_array[] = array("data_modalidad_reserva_send" => $_POST['data_modalidad_reserva_send']);   					
		        $data[] = $sub_array;  

			  }

			}
			break;

		// verificación de disponibilidad de acuerdo a reserva (aforo)
		case '2':

			$result_turno = mysqli_query($conexion,"SELECT id_tabla_turno, id_area, num_turno, hora_ini_turno, hora_fin_turno, descripcion, ocupacion from turno WHERE id_area = '$data_area' and activo = 1 and ocupacion IN(0,1,2) ");
			  while($row_turno = mysqli_fetch_array($result_turno))
			  {

			  	$area_valid = $row_turno['id_area'];


			  	$result_cant = mysqli_query($conexion, 'SELECT id as id_del_area, nombre, capacidad, observacion FROM area where id = '.$area_valid.' order by nombre asc');
				$row_cant = mysqli_fetch_array($result_cant);

				$nombre_area = $row_cant['nombre'];
				$capacidad = $row_cant['capacidad']; 


			  	$estado = 0; 

			    $result_available   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\' AND `idarea` = '.$area_valid.' AND `estado` = '.$estado.' and jornada  = '.$row_turno['id_tabla_turno'].'');

				$row_available = mysqli_fetch_array($result_available);


				$cant = $row_available['cant'];
				$disponible = $capacidad - $cant;

				if ($cant >= $capacidad) {
					$disabled = 'disabled';
					$reservado = "tr";
					$out_time = "";
				}else{
					  

					 if ($fecha_actual == $data_fecha) {

					    	$hora_just_now = new DateTime($hora_actual);
							$hora_compare_turno = new DateTime($row_turno['hora_ini_turno']);

							if ($hora_just_now > $hora_compare_turno) {
								// echo "hora Inicio mayor";
								$disabled = "dis";
								$reservado = "";
								$out_time = "fh";
							}elseif ($hora_just_now == $hora_compare_turno) {
								// echo "hora iguales";

								if($cant >= $capacidad){
									$disabled = "dis";
									$out_time = "";
									$reservado = "tr";
								}else{
									$disabled = "";
									$out_time = "";
									$reservado = "";
								}
							}elseif ($hora_just_now < $hora_compare_turno) {
								// echo "Hora inicio menor";
								if($cant >= $capacidad){
									$disabled = "dis";
									$out_time = "";
									$reservado = "tr";
								}else{
									$disabled = "";
									$out_time = "";
									$reservado = "DISPONIBLE";
								}
							}
					  }else{
						$disabled = "";
						$out_time = "";
						$reservado = "DISPONIBLE";
					  }


				}

				$sub_array = array();
				 				
				$sub_array[] = array("descripcion" => $row_turno['descripcion']);
				$sub_array[] = array("id" => $row_turno['id_tabla_turno']);	
				$sub_array[] = array("action" => $disabled); 
				$sub_array[] = array("out_time" => $out_time);
				$sub_array[] = array("reservado" => $reservado); 
				$sub_array[] = array("disponible" => " | (".$disponible.")");

				// $sub_array[] = array("data_modalidad_reserva_send" => $_POST['data_modalidad_reserva_send']);   					
		        $data[] = $sub_array;  

			  }
        break;
        
        default:
        // code...
        break;
        }


break;


   
// "Operador ZC";
case '4':
    
                switch ($_POST['ocupacion_global']) {
                // echo "Huésped, ";
                
                case 'HUESPED':
                
                
                $data = array();
                
                	$result_find_area_one = mysqli_query($conexion, 'SELECT id, id_rel_area, nombre FROM area where id = \''.$data_area.'\'');
                	$row_find_area_one = mysqli_fetch_array($result_find_area_one);
                	$data_rel_area = $row_find_area_one['id_rel_area'];
                
                
                switch ($_POST['data_modalidad_reserva_send']) {
                		
                		// verificación de disponibilidad si existe un apto ocupado 
                		case '1':
                
                			$estado = 0; 
                // 			$apto_from = $_SESSION['k_user_apto'];
                
                			$super_counter = 0;
                
                			$result_find_area = mysqli_query($conexion, 'SELECT id, id_rel_area, nombre FROM area where id_rel_area = \''.$data_rel_area.'\'');
                				while($row_find_area = mysqli_fetch_array($result_find_area)){	
                					
                					$row_find_area['id'];					
                					$row_find_area['id_rel_area'];					
                					$row_find_area['nombre'];
                
                			$result_findx   =   mysqli_query($conexion, 'SELECT * FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\'  AND `estado` = '.$estado.' and apto_from  = \''.$apto_from.'\'');
                				while($row_findx = mysqli_fetch_array($result_findx)){
                
                					if ($row_findx['idarea'] == $row_find_area['id']) {
                						$super_counter = $super_counter + 1;
                					}
                
                				}
                			}
                			
                			// echo $super_counter;
                
                			if($super_counter >= 1){
                
                				$disabled = "disz";
                						
                				$sub_array = array();	 				
                				$sub_array[] = array("descripcion" => "Sin Turnos disponibles, ");
                				$sub_array[] = array("id" => "-----------");	
                				$sub_array[] = array("action" => 'disabled'); 
                				$sub_array[] = array("out_time" => "");
                				$sub_array[] = array("reservado" => ""); 
                				$sub_array[] = array("disponible" => "Su apto hizo reservación durante la fecha consultada");
                				$data[] = $sub_array; 
                
                				$response = array("array_turnos" => array_filter($data));
                				echo json_encode($response);
                				exit;
                
                			}else{
                			
                			$result_turno = mysqli_query($conexion,"SELECT id_tabla_turno, id_area, num_turno, hora_ini_turno, hora_fin_turno, descripcion, ocupacion from turno WHERE id_area = '$data_area' and activo = 1 and ocupacion IN(0,1) ");
                			  while($row_turno = mysqli_fetch_array($result_turno))
                			  {
                
                			  	$area_valid = $row_turno['id_area'];
                
                
                			  	$result_cant = mysqli_query($conexion, 'SELECT id as id_del_area, nombre, capacidad, observacion FROM area where id = '.$area_valid.' order by nombre asc');
                				$row_cant = mysqli_fetch_array($result_cant);
                
                				$nombre_area = $row_cant['nombre'];
                				$capacidad = $row_cant['capacidad']; 
                
                
                			  	$estado = 0; 
                
                			    $result_available   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\' AND `idarea` = '.$area_valid.' AND `estado` = '.$estado.' and jornada  = '.$row_turno['id_tabla_turno'].'');
                
                				$row_available = mysqli_fetch_array($result_available);
                
                
                				$cant = $row_available['cant'];
                				$disponible = $capacidad - $cant;
                
                				if ($cant >= 1) {
                					$disabled = 'disabled';
                					$reservado = "tr";
                					$out_time = "";
                				}else{
                					  
                
                					 if ($fecha_actual == $data_fecha) {
                
                					    	$hora_just_now = new DateTime($hora_actual);
                							$hora_compare_turno = new DateTime($row_turno['hora_ini_turno']);
                
                							if ($hora_just_now > $hora_compare_turno) {
                								// echo "hora Inicio mayor";
                								$disabled = "dis";
                								$reservado = "";
                								$out_time = "fh";
                							}elseif ($hora_just_now == $hora_compare_turno) {
                								// echo "hora iguales";
                
                								if($cant >= 1){
                									$disabled = "dis";
                									$out_time = "";
                									$reservado = "tr";
                								}else{
                									$disabled = "";
                									$out_time = "";
                									$reservado = "";
                								}
                							}elseif ($hora_just_now < $hora_compare_turno) {
                								// echo "Hora inicio menor";
                								if($cant >= 1){
                									$disabled = "dis";
                									$out_time = "";
                									$reservado = "tr";
                								}else{
                									$disabled = "";
                									$out_time = "";
                									$reservado = "DISPONIBLE";
                								}
                							}
                					  }else{
                						$disabled = "";
                						$out_time = "";
                						$reservado = "DISPONIBLE";
                					  }
                
                
                				}
                
                
                
                				/* ========  ****** Bloqueo de Áreas ****** =============*/
                				/*modalidad de un apartamento por dia reservado*/
                				if ($_POST['data_consecucion_reserva_send'] == 1) {
                				  
                
                					$estate = 0; 
                					$apto_from_book = $_POST['data_apto_from'];
					                $result_per_day   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant_per_day FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\' AND `idarea` = '.$data_area.' AND `estado` = '.$estate.' AND `apto_from` =\''.$apto_from_book.'\'');
                					$row_per_day = mysqli_fetch_array($result_per_day);
                					
                					$cant_per_day = $row_per_day['cant_per_day'];
                					// exit;
                
                					if ($cant_per_day >= 1) {
                
                						$disabled = "disz";
                						
                						$sub_array = array();	 				
                						$sub_array[] = array("descripcion" => "Sin Turnos disponibles, ");
                						$sub_array[] = array("id" => "-----------");	
                						$sub_array[] = array("action" => 'disabled'); 
                						$sub_array[] = array("out_time" => "");
                						$sub_array[] = array("reservado" => ""); 
                						$sub_array[] = array("disponible" => "Su apto hizo reservación durante la fecha consultada");
                						$data[] = $sub_array; 
                
                						$response = array("array_turnos" => array_filter($data));
                						echo json_encode($response);
                						exit;	
                
                					}else{
                
                					}
                
                
                					
                
                				}
                
                				/*modalidad de aforo de reserva*/
                				elseif($_POST['data_consecucion_reserva_send'] == 2){
                
                					// echo $_POST['data_consecucion_reserva_send'];
                					// exit;
                
                				}//fin else if
                
                
                				$sub_array = array();
                				 				
                				$sub_array[] = array("descripcion" => $row_turno['descripcion']);
                				$sub_array[] = array("id" => $row_turno['id_tabla_turno']);	
                				$sub_array[] = array("action" => $disabled); 
                				$sub_array[] = array("out_time" => $out_time);
                				$sub_array[] = array("reservado" => $reservado); 
                				$sub_array[] = array("disponible" => "");
                				// $sub_array[] = array("data_modalidad_reserva_send" => $_POST['data_modalidad_reserva_send']);   					
                		        $data[] = $sub_array;  
                
                			  }
                
                			}
                			break;
                
                		// verificación de disponibilidad de acuerdo a reserva (aforo)
                		case '2':
                
                			$result_turno = mysqli_query($conexion,"SELECT id_tabla_turno, id_area, num_turno, hora_ini_turno, hora_fin_turno, descripcion, ocupacion from turno WHERE id_area = '$data_area' and activo = 1 and ocupacion IN(0,1) ");
                			  while($row_turno = mysqli_fetch_array($result_turno))
                			  {
                
                			  	$area_valid = $row_turno['id_area'];
                
                
                			  	$result_cant = mysqli_query($conexion, 'SELECT id as id_del_area, nombre, capacidad, observacion FROM area where id = '.$area_valid.' order by nombre asc');
                				$row_cant = mysqli_fetch_array($result_cant);
                
                				$nombre_area = $row_cant['nombre'];
                				$capacidad = $row_cant['capacidad']; 
                
                
                			  	$estado = 0; 
                
                			    $result_available   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\' AND `idarea` = '.$area_valid.' AND `estado` = '.$estado.' and jornada  = '.$row_turno['id_tabla_turno'].'');
                
                				$row_available = mysqli_fetch_array($result_available);
                
                
                				$cant = $row_available['cant'];
                				$disponible = $capacidad - $cant;
                
                				if ($cant >= $capacidad) {
                					$disabled = 'disabled';
                					$reservado = "tr";
                					$out_time = "";
                				}else{
                					  
                
                					 if ($fecha_actual == $data_fecha) {
                
                					    	$hora_just_now = new DateTime($hora_actual);
                							$hora_compare_turno = new DateTime($row_turno['hora_ini_turno']);
                
                							if ($hora_just_now > $hora_compare_turno) {
                								// echo "hora Inicio mayor";
                								$disabled = "dis";
                								$reservado = "";
                								$out_time = "fh";
                							}elseif ($hora_just_now == $hora_compare_turno) {
                								// echo "hora iguales";
                
                								if($cant >= $capacidad){
                									$disabled = "dis";
                									$out_time = "";
                									$reservado = "tr";
                								}else{
                									$disabled = "";
                									$out_time = "";
                									$reservado = "";
                								}
                							}elseif ($hora_just_now < $hora_compare_turno) {
                								// echo "Hora inicio menor";
                								if($cant >= $capacidad){
                									$disabled = "dis";
                									$out_time = "";
                									$reservado = "tr";
                								}else{
                									$disabled = "";
                									$out_time = "";
                									$reservado = "DISPONIBLE";
                								}
                							}
                					  }else{
                						$disabled = "";
                						$out_time = "";
                						$reservado = "DISPONIBLE";
                					  }
                
                
                				}
                
                				$sub_array = array();
                				 				
                				$sub_array[] = array("descripcion" => $row_turno['descripcion']);
                				$sub_array[] = array("id" => $row_turno['id_tabla_turno']);	
                				$sub_array[] = array("action" => $disabled); 
                				$sub_array[] = array("out_time" => $out_time);
                				$sub_array[] = array("reservado" => $reservado); 
                				$sub_array[] = array("disponible" => " | (".$disponible.")");
                
                				// $sub_array[] = array("data_modalidad_reserva_send" => $_POST['data_modalidad_reserva_send']);   					
                		        $data[] = $sub_array;  
                
                			  }
                break;
                
                default:
                // code...
                break;
                }
                
                
                
                
                
                break;
                    
                  // echo "Huésped Invitado, ";
                case 'HUESPED_INVITADO': 
                
                $data = array();
                
                	$result_find_area_one = mysqli_query($conexion, 'SELECT id, id_rel_area, nombre FROM area where id = \''.$data_area.'\'');
                	$row_find_area_one = mysqli_fetch_array($result_find_area_one);
                	$data_rel_area = $row_find_area_one['id_rel_area'];
                
                
                switch ($_POST['data_modalidad_reserva_send']) {
                		
                		// verificación de disponibilidad si existe un apto ocupado 
                		case '1':
                
                			$estado = 0; 
                // 			$apto_from = $_SESSION['k_user_apto'];
                
                			$super_counter = 0;
                
                			$result_find_area = mysqli_query($conexion, 'SELECT id, id_rel_area, nombre FROM area where id_rel_area = \''.$data_rel_area.'\'');
                				while($row_find_area = mysqli_fetch_array($result_find_area)){	
                					
                					$row_find_area['id'];					
                					$row_find_area['id_rel_area'];					
                					$row_find_area['nombre'];
                
                			$result_findx   =   mysqli_query($conexion, 'SELECT * FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\'  AND `estado` = '.$estado.' and apto_from  = \''.$apto_from.'\'');
                				while($row_findx = mysqli_fetch_array($result_findx)){
                
                					if ($row_findx['idarea'] == $row_find_area['id']) {
                						$super_counter = $super_counter + 1;
                					}
                
                				}
                			}
                			
                			// echo $super_counter;
                
                			if($super_counter >= 1){
                
                				$disabled = "disz";
                						
                				$sub_array = array();	 				
                				$sub_array[] = array("descripcion" => "Sin Turnos disponibles, ");
                				$sub_array[] = array("id" => "-----------");	
                				$sub_array[] = array("action" => 'disabled'); 
                				$sub_array[] = array("out_time" => "");
                				$sub_array[] = array("reservado" => ""); 
                				$sub_array[] = array("disponible" => "Su apto hizo reservación durante la fecha consultada");
                				$data[] = $sub_array; 
                
                				$response = array("array_turnos" => array_filter($data));
                				echo json_encode($response);
                				exit;
                
                			}else{
                			
                			$result_turno = mysqli_query($conexion,"SELECT id_tabla_turno, id_area, num_turno, hora_ini_turno, hora_fin_turno, descripcion, ocupacion from turno WHERE id_area = '$data_area' and activo = 1 and ocupacion IN(0,1,2) ");
                			  while($row_turno = mysqli_fetch_array($result_turno))
                			  {
                
                			  	$area_valid = $row_turno['id_area'];
                
                
                			  	$result_cant = mysqli_query($conexion, 'SELECT id as id_del_area, nombre, capacidad, observacion FROM area where id = '.$area_valid.' order by nombre asc');
                				$row_cant = mysqli_fetch_array($result_cant);
                
                				$nombre_area = $row_cant['nombre'];
                				$capacidad = $row_cant['capacidad']; 
                
                
                			  	$estado = 0; 
                
                			    $result_available   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\' AND `idarea` = '.$area_valid.' AND `estado` = '.$estado.' and jornada  = '.$row_turno['id_tabla_turno'].'');
                
                				$row_available = mysqli_fetch_array($result_available);
                
                
                				$cant = $row_available['cant'];
                				$disponible = $capacidad - $cant;
                
                				if ($cant >= 1) {
                					$disabled = 'disabled';
                					$reservado = "tr";
                					$out_time = "";
                				}else{
                					  
                
                					 if ($fecha_actual == $data_fecha) {
                
                					    	$hora_just_now = new DateTime($hora_actual);
                							$hora_compare_turno = new DateTime($row_turno['hora_ini_turno']);
                
                							if ($hora_just_now > $hora_compare_turno) {
                								// echo "hora Inicio mayor";
                								$disabled = "dis";
                								$reservado = "";
                								$out_time = "fh";
                							}elseif ($hora_just_now == $hora_compare_turno) {
                								// echo "hora iguales";
                
                								if($cant >= 1){
                									$disabled = "dis";
                									$out_time = "";
                									$reservado = "tr";
                								}else{
                									$disabled = "";
                									$out_time = "";
                									$reservado = "";
                								}
                							}elseif ($hora_just_now < $hora_compare_turno) {
                								// echo "Hora inicio menor";
                								if($cant >= 1){
                									$disabled = "dis";
                									$out_time = "";
                									$reservado = "tr";
                								}else{
                									$disabled = "";
                									$out_time = "";
                									$reservado = "DISPONIBLE";
                								}
                							}
                					  }else{
                						$disabled = "";
                						$out_time = "";
                						$reservado = "DISPONIBLE";
                					  }
                
                
                				}
                
                
                
                				/* ========  ****** Bloqueo de Áreas ****** =============*/
                				/*modalidad de un apartamento por dia reservado*/
                				if ($_POST['data_consecucion_reserva_send'] == 1) {
                				  
                
                					$estate = 0; 
                					$apto_from_book = $_POST['data_apto_from'];
                					$result_per_day   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant_per_day FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\' AND `idarea` = '.$data_area.' AND `estado` = '.$estate.' AND `apto_from` =\''.$apto_from_book.'\'');
                					$row_per_day = mysqli_fetch_array($result_per_day);
                					
                					$cant_per_day = $row_per_day['cant_per_day'];
                					// exit;
                
                					if ($cant_per_day >= 1) {
                
                						$disabled = "disz";
                						
                						$sub_array = array();	 				
                						$sub_array[] = array("descripcion" => "Sin Turnos disponibles, ");
                						$sub_array[] = array("id" => "-----------");	
                						$sub_array[] = array("action" => 'disabled'); 
                						$sub_array[] = array("out_time" => "");
                						$sub_array[] = array("reservado" => ""); 
                						$sub_array[] = array("disponible" => "Su apto hizo reservación durante la fecha consultada");
                						$data[] = $sub_array; 
                
                						$response = array("array_turnos" => array_filter($data));
                						echo json_encode($response);
                						exit;	
                
                					}else{
                
                					}
                
                
                					
                
                				}
                
                				/*modalidad de aforo de reserva*/
                				elseif($_POST['data_consecucion_reserva_send'] == 2){
                
                					// echo $_POST['data_consecucion_reserva_send'];
                					// exit;
                
                				}//fin else if
                
                
                				$sub_array = array();
                				 				
                				$sub_array[] = array("descripcion" => $row_turno['descripcion']);
                				$sub_array[] = array("id" => $row_turno['id_tabla_turno']);	
                				$sub_array[] = array("action" => $disabled); 
                				$sub_array[] = array("out_time" => $out_time);
                				$sub_array[] = array("reservado" => $reservado); 
                				$sub_array[] = array("disponible" => "");
                				// $sub_array[] = array("data_modalidad_reserva_send" => $_POST['data_modalidad_reserva_send']);   					
                		        $data[] = $sub_array;  
                
                			  }
                
                			}
                			break;
                
                		// verificación de disponibilidad de acuerdo a reserva (aforo)
                		case '2':
                
                			$result_turno = mysqli_query($conexion,"SELECT id_tabla_turno, id_area, num_turno, hora_ini_turno, hora_fin_turno, descripcion, ocupacion from turno WHERE id_area = '$data_area' and activo = 1 and ocupacion IN(0,1,2) ");
                			  while($row_turno = mysqli_fetch_array($result_turno))
                			  {
                
                			  	$area_valid = $row_turno['id_area'];
                
                
                			  	$result_cant = mysqli_query($conexion, 'SELECT id as id_del_area, nombre, capacidad, observacion FROM area where id = '.$area_valid.' order by nombre asc');
                				$row_cant = mysqli_fetch_array($result_cant);
                
                				$nombre_area = $row_cant['nombre'];
                				$capacidad = $row_cant['capacidad']; 
                
                
                			  	$estado = 0; 
                
                			    $result_available   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\' AND `idarea` = '.$area_valid.' AND `estado` = '.$estado.' and jornada  = '.$row_turno['id_tabla_turno'].'');
                
                				$row_available = mysqli_fetch_array($result_available);
                
                
                				$cant = $row_available['cant'];
                				$disponible = $capacidad - $cant;
                
                				if ($cant >= $capacidad) {
                					$disabled = 'disabled';
                					$reservado = "tr";
                					$out_time = "";
                				}else{
                					  
                
                					 if ($fecha_actual == $data_fecha) {
                
                					    	$hora_just_now = new DateTime($hora_actual);
                							$hora_compare_turno = new DateTime($row_turno['hora_ini_turno']);
                
                							if ($hora_just_now > $hora_compare_turno) {
                								// echo "hora Inicio mayor";
                								$disabled = "dis";
                								$reservado = "";
                								$out_time = "fh";
                							}elseif ($hora_just_now == $hora_compare_turno) {
                								// echo "hora iguales";
                
                								if($cant >= $capacidad){
                									$disabled = "dis";
                									$out_time = "";
                									$reservado = "tr";
                								}else{
                									$disabled = "";
                									$out_time = "";
                									$reservado = "";
                								}
                							}elseif ($hora_just_now < $hora_compare_turno) {
                								// echo "Hora inicio menor";
                								if($cant >= $capacidad){
                									$disabled = "dis";
                									$out_time = "";
                									$reservado = "tr";
                								}else{
                									$disabled = "";
                									$out_time = "";
                									$reservado = "DISPONIBLE";
                								}
                							}
                					  }else{
                						$disabled = "";
                						$out_time = "";
                						$reservado = "DISPONIBLE";
                					  }
                
                
                				}
                
                				$sub_array = array();
                				 				
                				$sub_array[] = array("descripcion" => $row_turno['descripcion']);
                				$sub_array[] = array("id" => $row_turno['id_tabla_turno']);	
                				$sub_array[] = array("action" => $disabled); 
                				$sub_array[] = array("out_time" => $out_time);
                				$sub_array[] = array("reservado" => $reservado); 
                				$sub_array[] = array("disponible" => " | (".$disponible.")");
                
                				// $sub_array[] = array("data_modalidad_reserva_send" => $_POST['data_modalidad_reserva_send']);   					
                		        $data[] = $sub_array;  
                
                			  }
                break;
                
                default:
                // code...
                break;
                }
                
                break;
                
                   
                // echo "Propietario, ";
                case 'PROPIETARIO':
                
                $data = array();
                
                	$result_find_area_one = mysqli_query($conexion, 'SELECT id, id_rel_area, nombre FROM area where id = \''.$data_area.'\'');
                	$row_find_area_one = mysqli_fetch_array($result_find_area_one);
                	$data_rel_area = $row_find_area_one['id_rel_area'];
                
                
                switch ($_POST['data_modalidad_reserva_send']) {
                		
                		// verificación de disponibilidad si existe un apto ocupado 
                		case '1':
                
                			$estado = 0; 
                // 			$apto_from = $_SESSION['k_user_apto'];
                
                			$super_counter = 0;
                
                			$result_find_area = mysqli_query($conexion, 'SELECT id, id_rel_area, nombre FROM area where id_rel_area = \''.$data_rel_area.'\'');
                				while($row_find_area = mysqli_fetch_array($result_find_area)){	
                					
                					$row_find_area['id'];					
                					$row_find_area['id_rel_area'];					
                					$row_find_area['nombre'];
                
                			$result_findx   =   mysqli_query($conexion, 'SELECT * FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\'  AND `estado` = '.$estado.' and apto_from  = \''.$apto_from.'\'');
                				while($row_findx = mysqli_fetch_array($result_findx)){
                
                					if ($row_findx['idarea'] == $row_find_area['id']) {
                						$super_counter = $super_counter + 1;
                					}
                
                				}
                			}
                			
                			// echo $super_counter;
                
                			if($super_counter >= 1){
                
                				$disabled = "disz";
                						
                				$sub_array = array();	 				
                				$sub_array[] = array("descripcion" => "Sin Turnos disponibles, ");
                				$sub_array[] = array("id" => "-----------");	
                				$sub_array[] = array("action" => 'disabled'); 
                				$sub_array[] = array("out_time" => "");
                				$sub_array[] = array("reservado" => ""); 
                				$sub_array[] = array("disponible" => "Su apto hizo reservación durante la fecha consultada");
                				$data[] = $sub_array; 
                
                				$response = array("array_turnos" => array_filter($data));
                				echo json_encode($response);
                				exit;
                
                			}else{
                			
                			$result_turno = mysqli_query($conexion,"SELECT id_tabla_turno, id_area, num_turno, hora_ini_turno, hora_fin_turno, descripcion, ocupacion from turno WHERE id_area = '$data_area' and activo = 1 and ocupacion IN(0,1,2) ");
                			  while($row_turno = mysqli_fetch_array($result_turno))
                			  {
                
                			  	$area_valid = $row_turno['id_area'];
                
                
                			  	$result_cant = mysqli_query($conexion, 'SELECT id as id_del_area, nombre, capacidad, observacion FROM area where id = '.$area_valid.' order by nombre asc');
                				$row_cant = mysqli_fetch_array($result_cant);
                
                				$nombre_area = $row_cant['nombre'];
                				$capacidad = $row_cant['capacidad']; 
                
                
                			  	$estado = 0; 
                
                			    $result_available   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\' AND `idarea` = '.$area_valid.' AND `estado` = '.$estado.' and jornada  = '.$row_turno['id_tabla_turno'].'');
                
                				$row_available = mysqli_fetch_array($result_available);
                
                
                				$cant = $row_available['cant'];
                				$disponible = $capacidad - $cant;
                
                				if ($cant >= 1) {
                					$disabled = 'disabled';
                					$reservado = "tr";
                					$out_time = "";
                				}else{
                					  
                
                					 if ($fecha_actual == $data_fecha) {
                
                					    	$hora_just_now = new DateTime($hora_actual);
                							$hora_compare_turno = new DateTime($row_turno['hora_ini_turno']);
                
                							if ($hora_just_now > $hora_compare_turno) {
                								// echo "hora Inicio mayor";
                								$disabled = "dis";
                								$reservado = "";
                								$out_time = "fh";
                							}elseif ($hora_just_now == $hora_compare_turno) {
                								// echo "hora iguales";
                
                								if($cant >= 1){
                									$disabled = "dis";
                									$out_time = "";
                									$reservado = "tr";
                								}else{
                									$disabled = "";
                									$out_time = "";
                									$reservado = "";
                								}
                							}elseif ($hora_just_now < $hora_compare_turno) {
                								// echo "Hora inicio menor";
                								if($cant >= 1){
                									$disabled = "dis";
                									$out_time = "";
                									$reservado = "tr";
                								}else{
                									$disabled = "";
                									$out_time = "";
                									$reservado = "DISPONIBLE";
                								}
                							}
                					  }else{
                						$disabled = "";
                						$out_time = "";
                						$reservado = "DISPONIBLE";
                					  }
                
                
                				}
                
                
                
                				/* ========  ****** Bloqueo de Áreas ****** =============*/
                				/*modalidad de un apartamento por dia reservado*/
                				if ($_POST['data_consecucion_reserva_send'] == 1) {
                				  
                
                					$estate = 0; 
                					$apto_from_book = $_POST['data_apto_from'];
					                $result_per_day   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant_per_day FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\' AND `idarea` = '.$data_area.' AND `estado` = '.$estate.' AND `apto_from` =\''.$apto_from_book.'\'');
                					$row_per_day = mysqli_fetch_array($result_per_day);
                					
                					$cant_per_day = $row_per_day['cant_per_day'];
                					// exit;
                
                					if ($cant_per_day >= 1) {
                
                						$disabled = "disz";
                						
                						$sub_array = array();	 				
                						$sub_array[] = array("descripcion" => "Sin Turnos disponibles, ");
                						$sub_array[] = array("id" => "-----------");	
                						$sub_array[] = array("action" => 'disabled'); 
                						$sub_array[] = array("out_time" => "");
                						$sub_array[] = array("reservado" => ""); 
                						$sub_array[] = array("disponible" => "Su apto hizo reservación durante la fecha consultada");
                						$data[] = $sub_array; 
                
                						$response = array("array_turnos" => array_filter($data));
                						echo json_encode($response);
                						exit;	
                
                					}else{
                
                					}
                
                
                					
                
                				}
                
                				/*modalidad de aforo de reserva*/
                				elseif($_POST['data_consecucion_reserva_send'] == 2){
                
                					// echo $_POST['data_consecucion_reserva_send'];
                					// exit;
                
                				}//fin else if
                
                
                				$sub_array = array();
                				 				
                				$sub_array[] = array("descripcion" => $row_turno['descripcion']);
                				$sub_array[] = array("id" => $row_turno['id_tabla_turno']);	
                				$sub_array[] = array("action" => $disabled); 
                				$sub_array[] = array("out_time" => $out_time);
                				$sub_array[] = array("reservado" => $reservado); 
                				$sub_array[] = array("disponible" => "");
                				// $sub_array[] = array("data_modalidad_reserva_send" => $_POST['data_modalidad_reserva_send']);   					
                		        $data[] = $sub_array;  
                
                			  }
                
                			}
                			break;
                
                		// verificación de disponibilidad de acuerdo a reserva (aforo)
                		case '2':
                		  //  echo "okkk";
                
                			$result_turno = mysqli_query($conexion,"SELECT id_tabla_turno, id_area, num_turno, hora_ini_turno, hora_fin_turno, descripcion, ocupacion from turno WHERE id_area = '$data_area' and activo = 1 and ocupacion IN(0,1,2) ");
                			  while($row_turno = mysqli_fetch_array($result_turno))
                			  {
                
                			  	$area_valid = $row_turno['id_area'];
                
                
                			  	$result_cant = mysqli_query($conexion, 'SELECT id as id_del_area, nombre, capacidad, observacion FROM area where id = '.$area_valid.' order by nombre asc');
                				$row_cant = mysqli_fetch_array($result_cant);
                
                				$nombre_area = $row_cant['nombre'];
                				$capacidad = $row_cant['capacidad']; 
                
                
                			  	$estado = 0; 
                
                			    $result_available   =   mysqli_query($conexion, 'SELECT COUNT(*) AS cant FROM `ocupante_reserva` WHERE `fecha_in` = \''.$data_fecha.'\' AND `idarea` = '.$area_valid.' AND `estado` = '.$estado.' and jornada  = '.$row_turno['id_tabla_turno'].'');
                
                				$row_available = mysqli_fetch_array($result_available);
                
                
                				$cant = $row_available['cant'];
                				$disponible = $capacidad - $cant;
                
                				if ($cant >= $capacidad) {
                					$disabled = 'disabled';
                					$reservado = "tr";
                					$out_time = "";
                				}else{
                					  
                
                					 if ($fecha_actual == $data_fecha) {
                
                					    	$hora_just_now = new DateTime($hora_actual);
                							$hora_compare_turno = new DateTime($row_turno['hora_ini_turno']);
                
                							if ($hora_just_now > $hora_compare_turno) {
                								// echo "hora Inicio mayor";
                								$disabled = "dis";
                								$reservado = "";
                								$out_time = "fh";
                							}elseif ($hora_just_now == $hora_compare_turno) {
                								// echo "hora iguales";
                
                								if($cant >= $capacidad){
                									$disabled = "dis";
                									$out_time = "";
                									$reservado = "tr";
                								}else{
                									$disabled = "";
                									$out_time = "";
                									$reservado = "";
                								}
                							}elseif ($hora_just_now < $hora_compare_turno) {
                								// echo "Hora inicio menor";
                								if($cant >= $capacidad){
                									$disabled = "dis";
                									$out_time = "";
                									$reservado = "tr";
                								}else{
                									$disabled = "";
                									$out_time = "";
                									$reservado = "DISPONIBLE";
                								}
                							}
                					  }else{
                						$disabled = "";
                						$out_time = "";
                						$reservado = "DISPONIBLE";
                					  }
                
                
                				}
                
                				$sub_array = array();
                				 				
                				$sub_array[] = array("descripcion" => $row_turno['descripcion']);
                				$sub_array[] = array("id" => $row_turno['id_tabla_turno']);	
                				$sub_array[] = array("action" => $disabled); 
                				$sub_array[] = array("out_time" => $out_time);
                				$sub_array[] = array("reservado" => $reservado); 
                				$sub_array[] = array("disponible" => " | (".$disponible.")");
                
                				// $sub_array[] = array("data_modalidad_reserva_send" => $_POST['data_modalidad_reserva_send']);   					
                		        $data[] = $sub_array;  
                
                			  }
                        break;
                        
                        default:
                        // code...
                        break;
                        }
                
                
                break;
        }

break;
}



// Liberar resultados
mysqli_free_result($result_turno);


$response = array("array_turnos" => array_filter($data));
echo json_encode($response);

// Cerrar la conexión
mysqli_close($conexion);
?>
